diff --git a/testing/mozharness/scripts/release/postrelease_mark_as_shipped.py b/testing/mozharness/scripts/release/postrelease_mark_as_shipped.py
index f84b5771cb..72df206fd1 100644
--- a/testing/mozharness/scripts/release/postrelease_mark_as_shipped.py
+++ b/testing/mozharness/scripts/release/postrelease_mark_as_shipped.py
@@ -90,7 +90,7 @@ class MarkReleaseAsShipped(BaseScript, VirtualenvMixin, BuildbotMixin):
         credentials_file = os.path.join(os.getcwd(),
                                         self.config["credentials_file"])
         credentials = {}
-        execfile(credentials_file, credentials)
+        exec(compile(open(credentials_file, "rb").read(), credentials_file, 'exec'), credentials)
         ship_it_credentials = credentials["ship_it_credentials"]
         auth = (self.config["ship_it_username"],
                 ship_it_credentials.get(self.config["ship_it_username"]))
diff --git a/testing/mozharness/scripts/release/uptake_monitoring.py b/testing/mozharness/scripts/release/uptake_monitoring.py
index 9ec24621f6..9cecaf92da 100644
--- a/testing/mozharness/scripts/release/uptake_monitoring.py
+++ b/testing/mozharness/scripts/release/uptake_monitoring.py
@@ -122,7 +122,7 @@ class UptakeMonitoring(BaseScript, VirtualenvMixin, BuildbotMixin):
         version = self.config["version"]
         dl = []
 
-        for product, info in self.config["products"].iteritems():
+        for product, info in self.config["products"].items():
             if info.get("check_uptake"):
                 product_template = info["product-name"]
                 related_product = product_template % {"version": version}
@@ -137,7 +137,7 @@ class UptakeMonitoring(BaseScript, VirtualenvMixin, BuildbotMixin):
                                                        related_product, bouncer_platform))
         # handle the partials as well
         prev_versions = self.config["partial_versions"]
-        for product, info in self.config["partials"].iteritems():
+        for product, info in self.config["partials"].items():
             if info.get("check_uptake"):
                 product_template = info["product-name"]
                 for prev_version in prev_versions:
@@ -161,7 +161,7 @@ class UptakeMonitoring(BaseScript, VirtualenvMixin, BuildbotMixin):
         credentials_file = os.path.join(os.getcwd(),
                                         self.config["credentials_file"])
         credentials = {}
-        execfile(credentials_file, credentials)
+        exec(compile(open(credentials_file, "rb").read(), credentials_file, 'exec'), credentials)
         auth = (credentials['tuxedoUsername'], credentials['tuxedoPassword'])
         self.info("Starting the loop to determine the uptake monitoring ...")
 
diff --git a/testing/mozharness/scripts/spidermonkey_build.py b/testing/mozharness/scripts/spidermonkey_build.py
index 5522545da5..b474e1aec0 100755
--- a/testing/mozharness/scripts/spidermonkey_build.py
+++ b/testing/mozharness/scripts/spidermonkey_build.py
@@ -22,7 +22,7 @@ from mozharness.mozilla.purge import PurgeMixin
 from mozharness.mozilla.mock import MockMixin
 from mozharness.mozilla.tooltool import TooltoolMixin
 
-SUCCESS, WARNINGS, FAILURE, EXCEPTION, RETRY = xrange(5)
+SUCCESS, WARNINGS, FAILURE, EXCEPTION, RETRY = range(5)
 
 
 def requires(*queries):
diff --git a/testing/mozharness/test/test_base_config.py b/testing/mozharness/test/test_base_config.py
index 42ec7a641d..84784d7bca 100644
--- a/testing/mozharness/test/test_base_config.py
+++ b/testing/mozharness/test/test_base_config.py
@@ -32,7 +32,7 @@ class TestParseConfigFile(unittest.TestCase):
                            output='dict'):
         global_dict = {}
         local_dict = {}
-        execfile(filename, global_dict, local_dict)
+        exec(compile(open(filename, "rb").read(), filename, 'exec'), global_dict, local_dict)
         return local_dict['config']
 
     def test_json_config(self):
diff --git a/testing/mozharness/test/test_base_python.py b/testing/mozharness/test/test_base_python.py
index c013576f07..734dd6345a 100644
--- a/testing/mozharness/test/test_base_python.py
+++ b/testing/mozharness/test/test_base_python.py
@@ -9,7 +9,7 @@ here = os.path.dirname(os.path.abspath(__file__))
 class TestVirtualenvMixin(unittest.TestCase):
     def test_package_versions(self):
         example = os.path.join(here, 'pip-freeze.example.txt')
-        output = file(example).read()
+        output = open(example).read()
         mixin = python.VirtualenvMixin()
         packages = mixin.package_versions(output)
 
diff --git a/testing/mozharness/test/test_base_script.py b/testing/mozharness/test/test_base_script.py
index c069a82f38..47382a68a8 100644
--- a/testing/mozharness/test/test_base_script.py
+++ b/testing/mozharness/test/test_base_script.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import gc
 import mock
 import os
@@ -54,7 +55,7 @@ def get_debug_script_obj():
 
 def _post_fatal(self, **kwargs):
     fh = open('tmpfile_stdout', 'w')
-    print >>fh, test_string
+    print(test_string, file=fh)
     fh.close()
 
 
@@ -100,7 +101,7 @@ class TestScript(unittest.TestCase):
             # now let's see if only unique items were added from each config
             t_override = local_cfg_files.get('test/test_override.py', {})
             self.assertTrue(
-                t_override.get('keep_string') == "don't change me" and len(t_override.keys()) == 1,
+                t_override.get('keep_string') == "don't change me" and len(list(t_override.keys())) == 1,
                 msg="--dump-config-hierarchy dumped wrong keys/value for "
                     "`test/test_override.py`. There should only be one "
                     "item and it should be unique to all the other "
@@ -425,7 +426,7 @@ class TestHelperFunctions(unittest.TestCase):
         win32file.CreateDirectoryExW(u'.', path)
 
         for x in range(0, 20):
-            print("path=%s" % path)
+            print(("path=%s" % path))
             path = path + u'\\%sxxxxxxxxxxxxxxxxxxxx' % x
             win32file.CreateDirectoryExW(u'.', path)
         self.s.rmtree('test_dir')
@@ -445,7 +446,7 @@ class TestHelperFunctions(unittest.TestCase):
     def test_chmod(self):
         self._create_temp_file()
         self.s = script.BaseScript(initial_config_file='test/test.json')
-        self.s.chmod(self.temp_file, 0100700)
+        self.s.chmod(self.temp_file, 0o100700)
         self.assertEqual(os.stat(self.temp_file)[0], 33216,
                          msg="chmod unsuccessful")
 
@@ -694,7 +695,7 @@ class TestRetry(unittest.TestCase):
         args = (1, 'two', 3)
         kwargs = dict(foo='a', bar=7)
         ret = self.s.retry(self._mirrorArgs, args=args, kwargs=kwargs.copy(), sleeptime=0)
-        print ret
+        print(ret)
         self.assertEqual(ret[0], args)
         self.assertEqual(ret[1], kwargs)
 
diff --git a/testing/mozharness/test/test_l10n_locales.py b/testing/mozharness/test/test_l10n_locales.py
index e8372a9fbb..7889a7dbe3 100644
--- a/testing/mozharness/test/test_l10n_locales.py
+++ b/testing/mozharness/test/test_l10n_locales.py
@@ -85,21 +85,21 @@ class TestLocalesMixin(unittest.TestCase):
 
     def test_query_abs_dirs_base(self):
         l = self._get_query_abs_dirs_obj()
-        dirs = l.query_abs_dirs().keys()
+        dirs = list(l.query_abs_dirs().keys())
         dirs.sort()
         self.assertEqual(dirs, self.BASE_ABS_DIRS)
 
     def test_query_abs_dirs_base2(self):
         l = self._get_query_abs_dirs_obj()
-        l.query_abs_dirs().keys()
-        dirs = l.query_abs_dirs().keys()
+        list(l.query_abs_dirs().keys())
+        dirs = list(l.query_abs_dirs().keys())
         dirs.sort()
         self.assertEqual(dirs, self.BASE_ABS_DIRS)
 
     def test_query_abs_dirs_l10n(self):
         l = self._get_query_abs_dirs_obj()
         l.config['l10n_dir'] = "l10n_dir"
-        dirs = l.query_abs_dirs().keys()
+        dirs = list(l.query_abs_dirs().keys())
         dirs.sort()
         expected_dirs = self.BASE_ABS_DIRS + ['abs_l10n_dir']
         expected_dirs.sort()
@@ -110,7 +110,7 @@ class TestLocalesMixin(unittest.TestCase):
         l.config['l10n_dir'] = "l10n_dir"
         l.config['mozilla_dir'] = "mozilla_dir"
         l.config['locales_dir'] = "locales_dir"
-        dirs = l.query_abs_dirs().keys()
+        dirs = list(l.query_abs_dirs().keys())
         dirs.sort()
         expected_dirs = self.BASE_ABS_DIRS + ['abs_mozilla_dir', 'abs_locales_src_dir', 'abs_l10n_dir']
         expected_dirs.sort()
@@ -122,7 +122,7 @@ class TestLocalesMixin(unittest.TestCase):
         l.config['mozilla_dir'] = "mozilla_dir"
         l.config['locales_dir'] = "locales_dir"
         l.config['objdir'] = "objdir"
-        dirs = l.query_abs_dirs().keys()
+        dirs = list(l.query_abs_dirs().keys())
         dirs.sort()
         expected_dirs = self.BASE_ABS_DIRS + ['abs_mozilla_dir', 'abs_locales_src_dir', 'abs_l10n_dir', 'abs_objdir', 'abs_merge_dir', 'abs_locales_dir']
         expected_dirs.sort()
diff --git a/testing/remotecppunittests.py b/testing/remotecppunittests.py
index 197cae8b44..8e4a648cb4 100644
--- a/testing/remotecppunittests.py
+++ b/testing/remotecppunittests.py
@@ -4,6 +4,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os, sys
 import subprocess
 import tempfile
@@ -58,7 +59,7 @@ class RemoteCPPUnitTests(cppunittests.CPPUnitTests):
 
                 for info in apk_contents.infolist():
                     if info.filename.endswith(".so"):
-                        print >> sys.stderr, "Pushing %s.." % info.filename
+                        print("Pushing %s.." % info.filename, file=sys.stderr)
                         remote_file = posixpath.join(self.remote_bin_dir, os.path.basename(info.filename))
                         apk_contents.extract(info, tmpdir)
                         local_file = os.path.join(tmpdir, info.filename)
@@ -74,7 +75,7 @@ class RemoteCPPUnitTests(cppunittests.CPPUnitTests):
         elif self.options.local_lib:
             for file in os.listdir(self.options.local_lib):
                 if file.endswith(".so"):
-                    print >> sys.stderr, "Pushing %s.." % file
+                    print("Pushing %s.." % file, file=sys.stderr)
                     remote_file = posixpath.join(self.remote_bin_dir, file)
                     local_file = os.path.join(self.options.local_lib, file)
                     self.device.pushFile(local_file, remote_file)
@@ -85,7 +86,7 @@ class RemoteCPPUnitTests(cppunittests.CPPUnitTests):
                     for root, dirs, files in os.walk(local_arm_lib):
                         for file in files:
                             if (file.endswith(".so")):
-                                print >> sys.stderr, "Pushing %s.." % file
+                                print("Pushing %s.." % file, file=sys.stderr)
                                 remote_file = posixpath.join(self.remote_bin_dir, file)
                                 local_file = os.path.join(root, file)
                                 self.device.pushFile(local_file, remote_file)
@@ -236,7 +237,7 @@ def run_test_harness(options, args):
     else:
         dm = devicemanagerSUT.DeviceManagerSUT(options.device_ip, options.device_port, deviceRoot=options.remote_test_root)
         if not options.device_ip:
-            print "Error: you must provide a device IP to connect to via the --deviceIP option"
+            print("Error: you must provide a device IP to connect to via the --deviceIP option")
             sys.exit(1)
 
     options.xre_path = os.path.abspath(options.xre_path)
@@ -258,23 +259,23 @@ def main():
     mozlog.commandline.add_logging_group(parser)
     options, args = parser.parse_args()
     if not args:
-        print >>sys.stderr, """Usage: %s <test binary> [<test binary>...]""" % sys.argv[0]
+        print("""Usage: %s <test binary> [<test binary>...]""" % sys.argv[0], file=sys.stderr)
         sys.exit(1)
     if options.local_lib is not None and not os.path.isdir(options.local_lib):
-        print >>sys.stderr, """Error: --localLib directory %s not found""" % options.local_lib
+        print("""Error: --localLib directory %s not found""" % options.local_lib, file=sys.stderr)
         sys.exit(1)
     if options.local_apk is not None and not os.path.isfile(options.local_apk):
-        print >>sys.stderr, """Error: --apk file %s not found""" % options.local_apk
+        print("""Error: --apk file %s not found""" % options.local_apk, file=sys.stderr)
         sys.exit(1)
     if not options.xre_path:
-        print >>sys.stderr, """Error: --xre-path is required"""
+        print("""Error: --xre-path is required""", file=sys.stderr)
         sys.exit(1)
 
     log = mozlog.commandline.setup_logging("remotecppunittests", options,
                                            {"tbpl": sys.stdout})
     try:
         result = run_test_harness(options, args)
-    except Exception, e:
+    except Exception as e:
         log.error(str(e))
         result = False
     sys.exit(0 if result else 1)
diff --git a/testing/runcppunittests.py b/testing/runcppunittests.py
index fdd6abc1f6..24612024e0 100755
--- a/testing/runcppunittests.py
+++ b/testing/runcppunittests.py
@@ -5,6 +5,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 from __future__ import with_statement
+from __future__ import print_function
 import sys, os, tempfile, shutil
 from optparse import OptionParser
 import manifestparser
@@ -248,13 +249,13 @@ def main():
     mozlog.commandline.add_logging_group(parser)
     options, args = parser.parse_args()
     if not args:
-        print >>sys.stderr, """Usage: %s <test binary> [<test binary>...]""" % sys.argv[0]
+        print("""Usage: %s <test binary> [<test binary>...]""" % sys.argv[0], file=sys.stderr)
         sys.exit(1)
     if not options.xre_path:
-        print >>sys.stderr, """Error: --xre-path is required"""
+        print("""Error: --xre-path is required""", file=sys.stderr)
         sys.exit(1)
     if options.manifest_path and len(args) > 1:
-        print >>sys.stderr, "Error: multiple arguments not supported with --test-manifest"
+        print("Error: multiple arguments not supported with --test-manifest", file=sys.stderr)
         sys.exit(1)
     log = mozlog.commandline.setup_logging("cppunittests", options,
                                            {"tbpl": sys.stdout})
diff --git a/testing/runtimes/writeruntimes.py b/testing/runtimes/writeruntimes.py
index d67d5b0055..a3edfdd916 100644
--- a/testing/runtimes/writeruntimes.py
+++ b/testing/runtimes/writeruntimes.py
@@ -55,7 +55,7 @@ def write_runtimes(data, suite, indir=here, outdir=here):
 
     # identify a threshold of durations, below which we ignore
     runtimes = []
-    for result in data.itervalues():
+    for result in data.values():
         duration = int(result * 1000) if result else 0
         if duration:
             runtimes.append(duration)
@@ -66,7 +66,7 @@ def write_runtimes(data, suite, indir=here, outdir=here):
     omitted = []
     specified = indata if indata else {}
     current_tests = []
-    for test, duration in data.iteritems():
+    for test, duration in data.items():
         current_tests.append(test)
         duration = int(duration * 1000) if duration else 0
         if duration > 0 and duration < threshold:
diff --git a/testing/talos/INSTALL.py b/testing/talos/INSTALL.py
index debc843f04..32e6c6a1e0 100755
--- a/testing/talos/INSTALL.py
+++ b/testing/talos/INSTALL.py
@@ -10,7 +10,7 @@ installation script for talos. This script:
 import os
 import subprocess
 import sys
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 try:
     from subprocess import check_call as call
 except:
@@ -47,7 +47,7 @@ def main(args=sys.argv[1:]):
                                     '--system-site-packages',
                                     here],
                                    stdin=subprocess.PIPE)
-        stdout, stderr = process.communicate(input=urllib2.urlopen(VIRTUALENV).read())
+        stdout, stderr = process.communicate(input=six.moves.urllib.request.urlopen(VIRTUALENV).read())
 
     # find the virtualenv's python
     for i in ('bin', 'Scripts'):
diff --git a/testing/talos/talos/cmanager_linux.py b/testing/talos/talos/cmanager_linux.py
index 54de636ddc..12419c9730 100644
--- a/testing/talos/talos/cmanager_linux.py
+++ b/testing/talos/talos/cmanager_linux.py
@@ -2,9 +2,10 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import re
 import subprocess
-from cmanager import CounterManager
+from .cmanager import CounterManager
 
 
 def xrestop(binary='xrestop'):
diff --git a/testing/talos/talos/cmanager_mac.py b/testing/talos/talos/cmanager_mac.py
index fe57778a31..9d1d01b653 100644
--- a/testing/talos/talos/cmanager_mac.py
+++ b/testing/talos/talos/cmanager_mac.py
@@ -4,8 +4,9 @@
 
 """CounterManager for Mac OSX"""
 
+from __future__ import print_function
 import subprocess
-from cmanager import CounterManager
+from .cmanager import CounterManager
 import sys
 
 
@@ -20,7 +21,7 @@ def GetProcessData(pid):
         handle.wait()
         data = handle.stdout.readlines()
     except:
-        print("Unexpected error executing '%s': %s", (command, sys.exc_info()))
+        print(("Unexpected error executing '%s': %s", (command, sys.exc_info())))
         raise
 
     # First line is header output should look like:
@@ -75,12 +76,12 @@ class MacCounterManager(CounterManager):
     def getCounterValue(self, counterName):
         """Returns the last value of the counter 'counterName'"""
         if counterName not in self.registeredCounters:
-            print("Warning: attempting to collect counter %s and it is not"
-                  " registered" % counterName)
+            print(("Warning: attempting to collect counter %s and it is not"
+                  " registered" % counterName))
             return
 
         try:
             return self.registeredCounters[counterName][0](self.pid)
         except Exception as e:
-            print("Error in collecting counter: %s, pid: %s, exception: %s"
-                  % (counterName, self.pid, e))
+            print(("Error in collecting counter: %s, pid: %s, exception: %s"
+                  % (counterName, self.pid, e)))
diff --git a/testing/talos/talos/cmanager_win32.py b/testing/talos/talos/cmanager_win32.py
index cfd215496e..54a9dd135a 100644
--- a/testing/talos/talos/cmanager_win32.py
+++ b/testing/talos/talos/cmanager_win32.py
@@ -2,14 +2,14 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from cmanager import CounterManager
+from .cmanager import CounterManager
 from ctypes import windll
 from ctypes.wintypes import DWORD, HANDLE, LPSTR, LPCSTR, LPCWSTR, Structure, \
     pointer, LONG
 from ctypes import byref, create_string_buffer, memmove, Union, c_double, \
     c_longlong
 import struct
-from utils import TalosError
+from .utils import TalosError
 pdh = windll.pdh
 
 _LONGLONG = c_longlong
diff --git a/testing/talos/talos/cmdline.py b/testing/talos/talos/cmdline.py
index 7d4cd20d9e..864b77d500 100644
--- a/testing/talos/talos/cmdline.py
+++ b/testing/talos/talos/cmdline.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import argparse
 import os
 
@@ -26,14 +27,14 @@ class _ListTests(_StopAction):
         print('================\n')
         test_class_names = [
             (test_class.name(), test_class.description())
-            for test_class in test.test_dict().itervalues()
+            for test_class in test.test_dict(.values())
         ]
         test_class_names.sort()
         for name, description in test_class_names:
             print(name)
-            print('-'*len(name))
+            print(('-'*len(name)))
             print(description)
-            print  # Appends a single blank line to the end
+            print()  # Appends a single blank line to the end
         parser.exit()
 
 
@@ -45,8 +46,8 @@ class _ListSuite(_StopAction):
         max_suite_name = max([len(s) for s in conf])
         pattern = " %%-%ds (%%s)" % max_suite_name
         for name in conf:
-            print(pattern % (name, ':'.join(conf[name]['tests'])))
-        print
+            print((pattern % (name, ':'.join(conf[name]['tests']))))
+        print()
         parser.exit()
 
 
diff --git a/testing/talos/talos/config.py b/testing/talos/talos/config.py
index 4f7b23ab6a..bdc0683684 100644
--- a/testing/talos/talos/config.py
+++ b/testing/talos/talos/config.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import sys
 import os
 import copy
@@ -377,7 +378,7 @@ def get_test(config, global_overrides, counters, test_instance):
             _counters = getattr(test_instance, key)
             _counters.extend([counter for counter in counters
                               if counter not in _counters])
-    return dict(test_instance.items())
+    return dict(list(test_instance.items()))
 
 
 @validator
@@ -462,6 +463,6 @@ def get_configs(argv=None):
 
 if __name__ == '__main__':
     cfgs = get_configs()
-    print(cfgs[0])
-    print
-    print(cfgs[1])
+    print((cfgs[0]))
+    print()
+    print((cfgs[1]))
diff --git a/testing/talos/talos/ffsetup.py b/testing/talos/talos/ffsetup.py
index 14ff576d54..09291634a6 100644
--- a/testing/talos/talos/ffsetup.py
+++ b/testing/talos/talos/ffsetup.py
@@ -61,7 +61,7 @@ class FFSetup(object):
 
     def _init_env(self):
         self.env = dict(os.environ)
-        for k, v in self.browser_config['env'].iteritems():
+        for k, v in self.browser_config['env'].items():
             self.env[k] = str(v)
         self.env['MOZ_CRASHREPORTER_NO_REPORT'] = '1'
         # for winxp e10s logging:
diff --git a/testing/talos/talos/mainthreadio.py b/testing/talos/talos/mainthreadio.py
index 112aaace36..52d80cdd6b 100644
--- a/testing/talos/talos/mainthreadio.py
+++ b/testing/talos/talos/mainthreadio.py
@@ -3,9 +3,10 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
-import utils
-import whitelist
+from . import utils
+from . import whitelist
 
 SCRIPT_DIR = os.path.abspath(os.path.realpath(os.path.dirname(__file__)))
 
@@ -86,7 +87,7 @@ def parse(logfilename, data):
                     stage = stage + 1
             return True
     except IOError as e:
-        print("%s: %s" % (e.filename, e.strerror))
+        print(("%s: %s" % (e.filename, e.strerror)))
         return False
 
 
@@ -95,7 +96,7 @@ def write_output(outfilename, data):
     try:
         with open(outfilename, 'w') as outfile:
             outfile.write("[\n")
-            for idx, (key, value) in utils.indexed_items(data.iteritems()):
+            for idx, (key, value) in utils.indexed_items(data.items()):
                 output = "    [\"%s\", \"%s\", \"%s\", \"%s\", %d, %d, %f]" % (
                     key[0], key[1], key[2], key[3], value[KEY_COUNT],
                     value[KEY_RUN_COUNT], value[KEY_DURATION])
@@ -107,17 +108,17 @@ def write_output(outfilename, data):
             outfile.write("]\n")
             return True
     except IOError as e:
-        print("%s: %s" % (e.filename, e.strerror))
+        print(("%s: %s" % (e.filename, e.strerror)))
         return False
 
 
 def main(argv):
     if len(argv) < 4:
-        print("Usage: %s <main_thread_io_log_file> <output_file> <xre_path>"
-              % argv[0])
+        print(("Usage: %s <main_thread_io_log_file> <output_file> <xre_path>"
+              % argv[0]))
         return 1
     if not os.path.exists(argv[3]):
-        print("XRE Path \"%s\" does not exist" % argv[3])
+        print(("XRE Path \"%s\" does not exist" % argv[3]))
         return 1
     data = {}
     if not parse(argv[1], data):
diff --git a/testing/talos/talos/output.py b/testing/talos/talos/output.py
index 003e98f021..84faf5432a 100755
--- a/testing/talos/talos/output.py
+++ b/testing/talos/talos/output.py
@@ -5,14 +5,14 @@
 
 """output formats for Talos"""
 
-import filter
+from . import filter
 import json
-import utils
+from . import utils
 
 from mozlog import get_proxy_logger
 
 # NOTE: we have a circular dependency with output.py when we import results
-import results as TalosResults
+from . import results as TalosResults
 
 LOG = get_proxy_logger()
 
diff --git a/testing/talos/talos/profiler/symFileManager.py b/testing/talos/talos/profiler/symFileManager.py
index 0413a9ee81..108385e5a2 100755
--- a/testing/talos/talos/profiler/symFileManager.py
+++ b/testing/talos/talos/profiler/symFileManager.py
@@ -2,7 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from symLogging import LogTrace, LogError, LogMessage
+from .symLogging import LogTrace, LogError, LogMessage
 
 import itertools
 import os
@@ -165,7 +165,7 @@ class SymFileManager:
             return None
 
         logString = "Found " + \
-            str(len(symbolMap.keys())) + " unique entries from "
+            str(len(list(symbolMap.keys()))) + " unique entries from "
         logString += str(publicCount) + " PUBLIC lines, " + \
             str(funcCount) + " FUNC lines"
         LogTrace(logString)
diff --git a/testing/talos/talos/profiler/symLogging.py b/testing/talos/talos/profiler/symLogging.py
index 2a6aa89936..b50cce6b24 100755
--- a/testing/talos/talos/profiler/symLogging.py
+++ b/testing/talos/talos/profiler/symLogging.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import sys
 import threading
 import time
@@ -13,17 +14,17 @@ def LogTrace(string):
     global gEnableTracing
     if gEnableTracing:
         threadName = threading.currentThread().getName().ljust(12)
-        print >> sys.stdout, time.asctime() + " " + threadName + " TRACE " + \
-            string
+        print(time.asctime() + " " + threadName + " TRACE " + \
+            string, file=sys.stdout)
 
 
 def LogError(string):
     threadName = threading.currentThread().getName().ljust(12)
-    print >> sys.stderr, time.asctime() + " " + threadName + " ERROR " + \
-        string
+    print(time.asctime() + " " + threadName + " ERROR " + \
+        string, file=sys.stderr)
 
 
 def LogMessage(string):
     threadName = threading.currentThread().getName().ljust(12)
-    print >> sys.stdout, time.asctime() + " " + threadName + "       " + \
-        string
+    print(time.asctime() + " " + threadName + "       " + \
+        string, file=sys.stdout)
diff --git a/testing/talos/talos/profiler/symbolication.py b/testing/talos/talos/profiler/symbolication.py
index 4bb07dfe83..51f8f4a62e 100755
--- a/testing/talos/talos/profiler/symbolication.py
+++ b/testing/talos/talos/profiler/symbolication.py
@@ -9,12 +9,13 @@ import os
 import platform
 import re
 import subprocess
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import zipfile
 from distutils import spawn
-from symFileManager import SymFileManager
-from symbolicationRequest import SymbolicationRequest
-from symLogging import LogMessage
+from .symFileManager import SymFileManager
+from .symbolicationRequest import SymbolicationRequest
+from .symLogging import LogMessage
+import six
 
 """
 Symbolication is broken when using type 'str' in python 2.7, so we use 'basestring'.
@@ -22,9 +23,9 @@ But for python 3.0 compatibility, 'basestring' isn't defined, but the 'str' type
 So we force 'basestring' to 'str'.
 """
 try:
-    basestring
+    str
 except NameError:
-    basestring = str
+    str = str
 
 
 class SymbolError(Exception):
@@ -145,7 +146,7 @@ class ProfileSymbolicator:
         LogMessage("Retrieving symbol zip from {symbol_zip_url}...".format(
             symbol_zip_url=symbol_zip_url))
         try:
-            io = urllib2.urlopen(symbol_zip_url, None, 30)
+            io = six.moves.urllib.request.urlopen(symbol_zip_url, None, 30)
             with zipfile.ZipFile(cStringIO.StringIO(io.read())) as zf:
                 self.integrate_symbol_zip(zf)
             self._create_file_if_not_exists(self._marker_file(symbol_zip_url))
@@ -276,7 +277,7 @@ class ProfileSymbolicator:
             delta_time = profile_start_time - self.main_start_time
 
         for i, thread in enumerate(profile_json["threads"]):
-            if isinstance(thread, basestring):
+            if isinstance(thread, str):
                 thread_json = json.loads(thread)
                 self.symbolicate_profile(thread_json)
                 profile_json["threads"][i] = json.dumps(thread_json)
@@ -307,7 +308,7 @@ class ProfileSymbolicator:
     def _find_addresses_v3(self, profile_json):
         addresses = set()
         for thread in profile_json["threads"]:
-            if isinstance(thread, basestring):
+            if isinstance(thread, str):
                 continue
             for s in thread["stringTable"]:
                 if s[0:2] == "0x":
@@ -316,7 +317,7 @@ class ProfileSymbolicator:
 
     def _substitute_symbols_v3(self, profile_json, symbolication_table):
         for thread in profile_json["threads"]:
-            if isinstance(thread, basestring):
+            if isinstance(thread, str):
                 continue
             for i, s in enumerate(thread["stringTable"]):
                 thread["stringTable"][i] = symbolication_table.get(s, s)
@@ -356,7 +357,7 @@ class ProfileSymbolicator:
                 libs_with_symbols[lib["start"]] = {
                     "library": lib, "symbols": set()}
             libs_with_symbols[lib["start"]]["symbols"].add(address)
-        return libs_with_symbols.values()
+        return list(libs_with_symbols.values())
 
     def _module_from_lib(self, lib):
         if "breakpadId" in lib:
